## org.hornetq.rest.queue
Class ConsumedMessage

    java.lang.Object
      org.hornetq.rest.queue.ConsumedMessage

Direct Known Subclasses:
  ConsumedHttpMessage, ConsumedObjectMessage

    public abstract class ConsumedMessage

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected org.hornetq.api.core.client.ClientMessage` `message`
`static java.lang.String` `POSTED_AS_HTTP_MESSAGE`

Constructor Summary
`ConsumedMessage(org.hornetq.api.core.client.ClientMessage message)`

Method Summary
`abstract void` `build(javax.ws.rs.core.Response.ResponseBuilder builder)`
`protected void` `buildHeaders(javax.ws.rs.core.Response.ResponseBuilder builder)`
`static ConsumedMessage` `createConsumedMessage(org.hornetq.api.core.client.ClientMessage message)`
`long` `getMessageID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSTED_AS_HTTP_MESSAGE

    public static final java.lang.String POSTED_AS_HTTP_MESSAGE

See Also:
  Constant Field Values

### message

    protected org.hornetq.api.core.client.ClientMessage message

Constructor Detail

### ConsumedMessage

    public ConsumedMessage(org.hornetq.api.core.client.ClientMessage message)

Method Detail

### getMessageID

    public long getMessageID()

### build

    public abstract void build(javax.ws.rs.core.Response.ResponseBuilder builder)

### buildHeaders

    protected void buildHeaders(javax.ws.rs.core.Response.ResponseBuilder builder)

### createConsumedMessage

    public static ConsumedMessage createConsumedMessage(org.hornetq.api.core.client.ClientMessage message)

Copyright © 2013. All Rights Reserved.